
// Préparation de la connexion AJAX :
var oReq = new XMLHttpRequest(); // Objet AJAX
oReq.onload = lireAjax;		// La fonction à appeler
oReq.open("get", "locavelo.php", true); // Le site à contacter
oReq.send(); // Contacter le site

function lireAjax() {
	var tabAjax = []; // Le tableau résultat
	var j = oReq.responseText; // Ce qu’on a reçu en Json brut
	console.log(j);
	tabAjax = JSON.parse(j); // on transforme le Json en tableau JavaScript :


	// Transformation du résultat en affichage HTML
	var sel = document.createElement("select"); // Nouvelle balise SELECT
	
	tabAjax.forEach ( (ligne) => { // Pour chaque élément du tableau
		var opt = document.createElement("option"); // Nouvell option de Select
		opt.value = ligne['idMarque']; 
		opt.text = ligne['marque'];
		sel.add(opt); // Ajout de l'option au Select
	}); // Fin du foreach
	
	document.getElementById("info").appendChild(sel); // Ajout du Select au document
}